Skip to main content
GET
/
webhooks
/
{id}
Get a webhook endpoint.
curl --request GET \
  --url https://api.novatrade24.com/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "status": "ACTIVE",
  "createdAt": "2023-11-07T05:31:56Z",
  "partnerIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "secret": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 client_credentials grant via Keycloak service account. Clients are provisioned per IntegrationOrganization in the nt24-idp realm.

Path Parameters

id
string
required

Response

OK

id
string
required
url
string<uri>
required
events
string[]
required

Event type or segment wildcard (compliance.*, kyc.*, self_service_invitation.*). Root * is not supported.

status
enum<string>
required
Available options:
ACTIVE,
PAUSED,
DISABLED
createdAt
string<date-time>
required
partnerIds
string<uuid>[]
secret
string

Signing secret — returned only on the create response. Not included on GET / list.

updatedAt
string<date-time>